curl "https://api.deliveryman.ai/api/v2/inbox/?domain=draftss.com&limit=20&offset=0" \
-H "X-Api-Key: YOUR_API_KEY"import requests
url = "https://api.deliveryman.ai/api/v2/inbox/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.deliveryman.ai/api/v2/inbox/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.deliveryman.ai/api/v2/inbox/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.deliveryman.ai/api/v2/inbox/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.deliveryman.ai/api/v2/inbox/")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.deliveryman.ai/api/v2/inbox/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"email": {
"from": "<string>",
"message_id": "<string>",
"to": "<string>",
"thread_message_id": "<string>",
"in_reply_to": "<string>",
"subject": "<string>",
"html_content": "<string>",
"plain_text_content": "<string>",
"opens": [
{
"opened_on": "2023-11-07T05:31:56Z"
}
],
"clicks": [
{
"link": "<string>",
"clicked_on": "2023-11-07T05:31:56Z"
}
],
"bounce": {
"reason": "<string>",
"bounced_on": "2023-11-07T05:31:56Z"
},
"replies": [
{
"from": "<string>",
"message_id": "<string>",
"plain_text_content": "<string>",
"html_content": "<string>",
"received_on": "2023-11-07T05:31:56Z",
"subject": "<string>",
"is_auto_reply": true
}
],
"open_tracking": true,
"click_tracking": true,
"status": "scheduled",
"failure_reason": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"sent_on": "2023-11-07T05:31:56Z",
"unsubscribed_on": "2023-11-07T05:31:56Z"
},
"latest_reply_on": "2023-11-07T05:31:56Z"
}
],
"total": 1
}{
"message": "<string>"
}List Replies
Returns conversations that have received replies, most recent reply first. Each item is the email that started the conversation, with every reply in email.replies.
Filter by domain or by a single email account (not both). Supports pagination with limit and offset.
To answer a reply, call Send Email with the reply’s message_id as reply_to_message_id.
curl "https://api.deliveryman.ai/api/v2/inbox/?domain=draftss.com&limit=20&offset=0" \
-H "X-Api-Key: YOUR_API_KEY"import requests
url = "https://api.deliveryman.ai/api/v2/inbox/"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.deliveryman.ai/api/v2/inbox/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.deliveryman.ai/api/v2/inbox/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.deliveryman.ai/api/v2/inbox/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.deliveryman.ai/api/v2/inbox/")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.deliveryman.ai/api/v2/inbox/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"email": {
"from": "<string>",
"message_id": "<string>",
"to": "<string>",
"thread_message_id": "<string>",
"in_reply_to": "<string>",
"subject": "<string>",
"html_content": "<string>",
"plain_text_content": "<string>",
"opens": [
{
"opened_on": "2023-11-07T05:31:56Z"
}
],
"clicks": [
{
"link": "<string>",
"clicked_on": "2023-11-07T05:31:56Z"
}
],
"bounce": {
"reason": "<string>",
"bounced_on": "2023-11-07T05:31:56Z"
},
"replies": [
{
"from": "<string>",
"message_id": "<string>",
"plain_text_content": "<string>",
"html_content": "<string>",
"received_on": "2023-11-07T05:31:56Z",
"subject": "<string>",
"is_auto_reply": true
}
],
"open_tracking": true,
"click_tracking": true,
"status": "scheduled",
"failure_reason": "<string>",
"scheduled_for": "2023-11-07T05:31:56Z",
"sent_on": "2023-11-07T05:31:56Z",
"unsubscribed_on": "2023-11-07T05:31:56Z"
},
"latest_reply_on": "2023-11-07T05:31:56Z"
}
],
"total": 1
}{
"message": "<string>"
}Authorizations
Your API key. In the dashboard, go to Integrations and open Deliveryman API Keys to create one.
Query Parameters
Only return records sent from this domain (for example draftss.com). Can't be combined with email.
Only return records sent from this email account. Can't be combined with domain.
Maximum number of records to return. Must be between 1 and 100. Defaults to 20.
1 <= x <= 100Number of records to skip before returning results. For example, an offset of 0 starts at the most recent record, while an offset of 50 starts at the 51st. Defaults to 0.
x >= 0